singularity(1)

NAME

singularity-key-import - Import a local key into the local or global keyring

SYNOPSIS

singularity key import [import options...]

DESCRIPTION

The 'key import' command allows you to add a key to your local or global keyring
  from a specific file.

OPTIONS

-g, --global[=false]
    manage global public keys (import/pull/remove are restricted to root user or unprivileged installation only)

-h, --help[=false]
    help for import

--new-password[=false]
    set a new password to the private key

EXAMPLE

      $ singularity key import ./my-key.asc

      # Import into global keyring (root user only)
      $ singularity key import --global ./my-key.asc

SEE ALSO

singularity-key(1)

HISTORY

21-Jul-2025 Auto generated by spf13/cobra